farming.register_plant("btmt:carrot", {
	description = "Carrot", -- "Carrot Seed",
	harvest_description = "Carrot",
	paramtype = "light",
	paramtype2 = "plantlike",  
	inventory_image = "carrot_seed.png",
	steps = 8,
	minlight = 13,
	maxlight = default.LIGHT_MAX,
	fertility = {"grassland"},
	groups = {flammable = 4,not_in_creative_inventory = 1},
	place_param2 = 3,
	--drop = "btmt:seed_carrot 2",		
})

core.override_item("btmt:carrot", {
	--drop = "btmt:carrot",	
	on_use = core.item_eat(2),
	groups = {food = 1},
})

core.register_decoration({
	name = "btmt:carrot_8_dec",
	deco_type = "simple",
	place_on = {"default:dirt_with_rainforest_litter"},
	sidelen = 16,
	fill_ratio = 0.01,	
	biomes = {"rainforest"},	
	y_min = 1,
	y_max = 31000,
	decoration = "btmt:carrot_8",
})


